Updates the modifications done on the object that belongs to a static category (like Company,Project,...)
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_info| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the db_info (Chapter name) |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sequence |
Sorting field (0 first), to order them |
integer | |
| db_info_category_id |
Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type |
globally unique identifier | |
| db_info_category_code |
Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields |
string |
Required |
| parent_id |
Parent Db_info (chapter) (Parent / Child) |
globally unique identifier | |
| parent_db_info_code |
Embedded entity "db_info" for parent using ERP PK when adding/updating db_info |
string | |
| parent_db_info |
Embedded entity "db_info" for parent when adding/updating db_info |
db_info | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "80833685-ae6d-40db-af58-77c64521530b",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "fd5f9591-251b-4abd-9096-5e10502d2877",
"db_info_category_code": "sample string 6",
"parent_id": "3cac698b-e314-4f01-a2a4-cd097576d5b9",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-09-09T11:49:03.7460527+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.